
KeymanWeb.KR(new Keyboard_kalabari());

function Keyboard_kalabari()
{
  
  this._v=(typeof keyman!="undefined"&&typeof keyman.version=="string")?parseInt(keyman.version,10):9;
  this.KI="Keyboard_kalabari";
  this.KN="Kalaḇari Keyboard";
  this.KMINVER="9.0";
  this.KV={F:' 1em "Arial"',K102:0};
  this.KV.KLS={
    "shift": ["~","!","@","#","$","%","₦","&","*","(",")","-","+","","","","GBQ","W","E","R","T","Y","U","I","O","P","{","}","◌̣◌̱◌̱","","","","A","S","D","F","G","Ḏ","J","K","L",":◌◌́◌̀◌̀","\"","","","","","","","ỊZ","kpX","ỌC","ḆV","B","N","M","<",">","?","","","","","",""],
    "default": ["`","1","2","3","4","5","6","7","8","9","0","-","=","","","","gbq","w","e","r","t","y","u","i","o","p","[","]","◌̱◌̱◌̄◌̄","","","","a","s","d","f","g","ḏ","j","k","l",";","̱","","","","","","","ịz","KPx","Ọc","ḇv","b","n","m",",",".","/","","","","","",""]
  };
  this.KV.BK=(function(x){
    var
      empty=Array.apply(null, Array(65)).map(String.prototype.valueOf,""),
      result=[], v, i,
      modifiers=['default','shift','ctrl','shift-ctrl','alt','shift-alt','ctrl-alt','shift-ctrl-alt'];
    for(i=modifiers.length-1;i>=0;i--) {
      v = x[modifiers[i]];
      if(v || result.length > 0) {
        result=(v ? v : empty).slice().concat(result);
      }
    }
    return result;
  })(this.KV.KLS);
  this.KDU=0;
  this.KH='';
  this.KM=0;
  this.KBVER="1.0";
  this.KMBM=0x0010;
  this.KVKL={
  "tablet": {
    "displayUnderlying": false,
    "layer": [
      {
        "id": "default",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_1",
                "text": "1"
              },
              {
                "id": "K_2",
                "text": "2"
              },
              {
                "id": "K_3",
                "text": "3"
              },
              {
                "id": "K_4",
                "text": "4"
              },
              {
                "id": "K_5",
                "text": "5"
              },
              {
                "id": "K_6",
                "text": "6"
              },
              {
                "id": "K_7",
                "text": "7"
              },
              {
                "id": "K_8",
                "text": "8"
              },
              {
                "id": "K_9",
                "text": "9"
              },
              {
                "id": "K_0",
                "text": "0"
              },
              {
                "id": "K_HYPHEN",
                "text": "-"
              },
              {
                "id": "K_EQUAL",
                "text": "="
              },
              {
                "width": "100",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "K_Q",
                "pad": "75",
                "text": "gbq"
              },
              {
                "id": "K_W",
                "text": "w"
              },
              {
                "id": "K_E",
                "text": "e"
              },
              {
                "id": "K_R",
                "text": "r"
              },
              {
                "id": "K_T",
                "text": "t"
              },
              {
                "id": "K_Y",
                "text": "y"
              },
              {
                "id": "K_U",
                "text": "u"
              },
              {
                "id": "K_I",
                "text": "i"
              },
              {
                "id": "K_O",
                "text": "o"
              },
              {
                "id": "K_P",
                "text": "p"
              },
              {
                "id": "K_LBRKT",
                "text": "["
              },
              {
                "id": "K_RBRKT",
                "text": "]"
              },
              {
                "width": "10",
                "id": "T_new_136",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "id": "K_BKQUOTE",
                "text": "`"
              },
              {
                "id": "K_A",
                "text": "a"
              },
              {
                "id": "K_S",
                "text": "s"
              },
              {
                "id": "K_D",
                "text": "d"
              },
              {
                "id": "K_F",
                "text": "f"
              },
              {
                "id": "K_G",
                "text": "g"
              },
              {
                "id": "K_H",
                "text": "d\u0331"
              },
              {
                "id": "K_J",
                "text": "j"
              },
              {
                "id": "K_K",
                "text": "k"
              },
              {
                "id": "K_L",
                "text": "l"
              },
              {
                "id": "K_COLON",
                "text": ";"
              },
              {
                "id": "K_QUOTE",
                "text": "\u0331"
              },
              {
                "id": "K_BKSLASH",
                "text": "\u25CC\u0331\u25CC\u0331\u25CC\u0304\u25CC\u0304"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "width": "160",
                "id": "K_SHIFT",
                "sp": "1",
                "text": "*Shift*"
              },
              {
                "id": "K_oE2"
              },
              {
                "id": "K_Z",
                "text": "\u1ECBz"
              },
              {
                "id": "K_X",
                "text": "KPx"
              },
              {
                "id": "K_C",
                "text": "\u1ECCc"
              },
              {
                "id": "K_V",
                "text": "b\u0331v"
              },
              {
                "id": "K_B",
                "text": "b"
              },
              {
                "id": "K_N",
                "text": "n"
              },
              {
                "id": "K_M",
                "text": "m"
              },
              {
                "id": "K_COMMA",
                "text": ","
              },
              {
                "id": "K_PERIOD",
                "text": "."
              },
              {
                "id": "K_SLASH",
                "text": "/"
              },
              {
                "width": "10",
                "id": "T_new_162",
                "sp": "10"
              }
            ]
          },
          {
            "id": "5",
            "key": [
              {
                "width": "140",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "930",
                "id": "K_SPACE"
              },
              {
                "width": "145",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "shift",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_1",
                "text": "!"
              },
              {
                "id": "K_2",
                "text": "@"
              },
              {
                "id": "K_3",
                "text": "#"
              },
              {
                "id": "K_4",
                "text": "$"
              },
              {
                "id": "K_5",
                "text": "%"
              },
              {
                "id": "K_6",
                "text": "\u20A6"
              },
              {
                "id": "K_7",
                "text": "&"
              },
              {
                "id": "K_8",
                "text": "*"
              },
              {
                "id": "K_9",
                "text": "("
              },
              {
                "id": "K_0",
                "text": ")"
              },
              {
                "id": "K_HYPHEN",
                "text": "-"
              },
              {
                "id": "K_EQUAL",
                "text": "+"
              },
              {
                "width": "100",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "K_Q",
                "pad": "75",
                "text": "GBQ"
              },
              {
                "id": "K_W",
                "text": "W"
              },
              {
                "id": "K_E",
                "text": "E"
              },
              {
                "id": "K_R",
                "text": "R"
              },
              {
                "id": "K_T",
                "text": "T"
              },
              {
                "id": "K_Y",
                "text": "Y"
              },
              {
                "id": "K_U",
                "text": "U"
              },
              {
                "id": "K_I",
                "text": "I"
              },
              {
                "id": "K_O",
                "text": "O"
              },
              {
                "id": "K_P",
                "text": "P"
              },
              {
                "id": "K_LBRKT",
                "text": "{"
              },
              {
                "id": "K_RBRKT",
                "text": "}"
              },
              {
                "width": "10",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "id": "K_BKQUOTE",
                "text": "~"
              },
              {
                "id": "K_A",
                "text": "A"
              },
              {
                "id": "K_S",
                "text": "S"
              },
              {
                "id": "K_D",
                "text": "D"
              },
              {
                "id": "K_F",
                "text": "F"
              },
              {
                "id": "K_G",
                "text": "G"
              },
              {
                "id": "K_H",
                "text": "D\u0331"
              },
              {
                "id": "K_J",
                "text": "J"
              },
              {
                "id": "K_K",
                "text": "K"
              },
              {
                "id": "K_L",
                "text": "L"
              },
              {
                "id": "K_COLON",
                "text": ":\u25CC\u25CC\u0301\u25CC\u0300\u25CC\u0300"
              },
              {
                "id": "K_QUOTE",
                "text": "\""
              },
              {
                "id": "K_BKSLASH",
                "text": "\u25CC\u0323\u25CC\u0331\u25CC\u0331"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "width": "160",
                "id": "K_SHIFT",
                "sp": "1",
                "text": "*Shift*"
              },
              {
                "id": "K_oE2"
              },
              {
                "id": "K_Z",
                "text": "\u1ECAZ"
              },
              {
                "id": "K_X",
                "text": "kpX"
              },
              {
                "id": "K_C",
                "text": "O\u0323C"
              },
              {
                "id": "K_V",
                "text": "B\u0331V"
              },
              {
                "id": "K_B",
                "text": "B"
              },
              {
                "id": "K_N",
                "text": "N"
              },
              {
                "id": "K_M",
                "text": "M"
              },
              {
                "id": "K_COMMA",
                "text": "<"
              },
              {
                "id": "K_PERIOD",
                "text": ">"
              },
              {
                "id": "K_SLASH",
                "text": "?"
              },
              {
                "width": "10",
                "sp": "10"
              }
            ]
          },
          {
            "id": "5",
            "key": [
              {
                "width": "140",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "930",
                "id": "K_SPACE"
              },
              {
                "width": "145",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      }
    ]
  }
}
;
  this.KVER="14.0.283.0";
  this.gs=function(t,e) {
    return this.g_main_0(t,e);
  };
  this.g_main_0=function(t,e) {
    var k=KeymanWeb,r=0,m=0;
    if(k.KKM(e, 0x4010, 0x31)) {
      if(1){
        r=m=1;   // Line 83
        k.KO(0,t,"!");
      }
    }
    else if(k.KKM(e, 0x4010, 0xDE)) {
      if(1){
        r=m=1;   // Line 17
        k.KO(0,t,"\"");
      }
    }
    else if(k.KKM(e, 0x4010, 0x33)) {
      if(1){
        r=m=1;   // Line 81
        k.KO(0,t,"#");
      }
    }
    else if(k.KKM(e, 0x4010, 0x34)) {
      if(1){
        r=m=1;   // Line 80
        k.KO(0,t,"$");
      }
    }
    else if(k.KKM(e, 0x4010, 0x35)) {
      if(1){
        r=m=1;   // Line 79
        k.KO(0,t,"%");
      }
    }
    else if(k.KKM(e, 0x4010, 0x37)) {
      if(1){
        r=m=1;   // Line 77
        k.KO(0,t,"&");
      }
    }
    else if(k.KKM(e, 0x4000, 0xDE)) {
      if(1){
        r=m=1;   // Line 12
        k.KO(0,t,"̱");
      }
    }
    else if(k.KKM(e, 0x4010, 0x39)) {
      if(1){
        r=m=1;   // Line 75
        k.KO(0,t,"(");
      }
    }
    else if(k.KKM(e, 0x4010, 0x30)) {
      if(1){
        r=m=1;   // Line 74
        k.KO(0,t,")");
      }
    }
    else if(k.KKM(e, 0x4010, 0x38)) {
      if(1){
        r=m=1;   // Line 76
        k.KO(0,t,"*");
      }
    }
    else if(k.KKM(e, 0x4010, 0xBB)) {
      if(1){
        r=m=1;   // Line 72
        k.KO(0,t,"+");
      }
    }
    else if(k.KKM(e, 0x4000, 0xBC)) {
      if(1){
        r=m=1;   // Line 16
        k.KO(0,t,",");
      }
    }
    else if(k.KKM(e, 0x4000, 0xBD)) {
      if(1){
        r=m=1;   // Line 85
        k.KO(0,t,"-");
      }
    }
    else if(k.KKM(e, 0x4000, 0xBE)) {
      if(1){
        r=m=1;   // Line 15
        k.KO(0,t,".");
      }
    }
    else if(k.KKM(e, 0x4000, 0xBF)) {
      if(1){
        r=m=1;   // Line 14
        k.KO(0,t,"/");
      }
    }
    else if(k.KKM(e, 0x4000, 0x30)) {
      if(1){
        r=m=1;   // Line 86
        k.KO(0,t,"0");
      }
    }
    else if(k.KKM(e, 0x4000, 0x31)) {
      if(1){
        r=m=1;   // Line 95
        k.KO(0,t,"1");
      }
    }
    else if(k.KKM(e, 0x4000, 0x32)) {
      if(1){
        r=m=1;   // Line 94
        k.KO(0,t,"2");
      }
    }
    else if(k.KKM(e, 0x4000, 0x33)) {
      if(1){
        r=m=1;   // Line 93
        k.KO(0,t,"3");
      }
    }
    else if(k.KKM(e, 0x4000, 0x34)) {
      if(1){
        r=m=1;   // Line 92
        k.KO(0,t,"4");
      }
    }
    else if(k.KKM(e, 0x4000, 0x35)) {
      if(1){
        r=m=1;   // Line 91
        k.KO(0,t,"5");
      }
    }
    else if(k.KKM(e, 0x4000, 0x36)) {
      if(1){
        r=m=1;   // Line 90
        k.KO(0,t,"6");
      }
    }
    else if(k.KKM(e, 0x4000, 0x37)) {
      if(1){
        r=m=1;   // Line 89
        k.KO(0,t,"7");
      }
    }
    else if(k.KKM(e, 0x4000, 0x38)) {
      if(1){
        r=m=1;   // Line 88
        k.KO(0,t,"8");
      }
    }
    else if(k.KKM(e, 0x4000, 0x39)) {
      if(1){
        r=m=1;   // Line 87
        k.KO(0,t,"9");
      }
    }
    else if(k.KKM(e, 0x4010, 0xBA)) {
      if(1){
        r=m=1;   // Line 46
        k.KO(0,t,":◌◌́◌̀◌̀");
      }
    }
    else if(k.KKM(e, 0x4000, 0xBA)) {
      if(1){
        r=m=1;   // Line 13
        k.KO(0,t,";");
      }
    }
    else if(k.KKM(e, 0x4010, 0xBC)) {
      if(1){
        r=m=1;   // Line 49
        k.KO(0,t,"<");
      }
    }
    else if(k.KKM(e, 0x4000, 0xBB)) {
      if(1){
        r=m=1;   // Line 84
        k.KO(0,t,"=");
      }
    }
    else if(k.KKM(e, 0x4010, 0xBE)) {
      if(1){
        r=m=1;   // Line 48
        k.KO(0,t,">");
      }
    }
    else if(k.KKM(e, 0x4010, 0xBF)) {
      if(1){
        r=m=1;   // Line 47
        k.KO(0,t,"?");
      }
    }
    else if(k.KKM(e, 0x4010, 0x32)) {
      if(1){
        r=m=1;   // Line 82
        k.KO(0,t,"@");
      }
    }
    else if(k.KKM(e, 0x4010, 0x41)) {
      if(1){
        r=m=1;   // Line 62
        k.KO(0,t,"A");
      }
    }
    else if(k.KKM(e, 0x4010, 0x42)) {
      if(1){
        r=m=1;   // Line 52
        k.KO(0,t,"B");
      }
    }
    else if(k.KKM(e, 0x4010, 0x43)) {
      if(1){
        r=m=1;   // Line 98
        k.KO(0,t,"ỌC");
      }
    }
    else if(k.KKM(e, 0x4010, 0x44)) {
      if(1){
        r=m=1;   // Line 60
        k.KO(0,t,"D");
      }
    }
    else if(k.KKM(e, 0x4010, 0x45)) {
      if(1){
        r=m=1;   // Line 70
        k.KO(0,t,"E");
      }
    }
    else if(k.KKM(e, 0x4010, 0x46)) {
      if(1){
        r=m=1;   // Line 59
        k.KO(0,t,"F");
      }
    }
    else if(k.KKM(e, 0x4010, 0x47)) {
      if(1){
        r=m=1;   // Line 58
        k.KO(0,t,"G");
      }
    }
    else if(k.KKM(e, 0x4010, 0x48)) {
      if(1){
        r=m=1;   // Line 57
        k.KO(0,t,"Ḏ");
      }
    }
    else if(k.KKM(e, 0x4010, 0x49)) {
      if(1){
        r=m=1;   // Line 65
        k.KO(0,t,"I");
      }
    }
    else if(k.KKM(e, 0x4010, 0x4A)) {
      if(1){
        r=m=1;   // Line 56
        k.KO(0,t,"J");
      }
    }
    else if(k.KKM(e, 0x4010, 0x4B)) {
      if(1){
        r=m=1;   // Line 55
        k.KO(0,t,"K");
      }
    }
    else if(k.KKM(e, 0x4010, 0x4C)) {
      if(1){
        r=m=1;   // Line 54
        k.KO(0,t,"L");
      }
    }
    else if(k.KKM(e, 0x4010, 0x4D)) {
      if(1){
        r=m=1;   // Line 50
        k.KO(0,t,"M");
      }
    }
    else if(k.KKM(e, 0x4010, 0x4E)) {
      if(1){
        r=m=1;   // Line 51
        k.KO(0,t,"N");
      }
    }
    else if(k.KKM(e, 0x4010, 0x4F)) {
      if(1){
        r=m=1;   // Line 64
        k.KO(0,t,"O");
      }
    }
    else if(k.KKM(e, 0x4010, 0x50)) {
      if(1){
        r=m=1;   // Line 63
        k.KO(0,t,"P");
      }
    }
    else if(k.KKM(e, 0x4010, 0x51)) {
      if(1){
        r=m=1;   // Line 102
        k.KO(0,t,"GBQ");
      }
    }
    else if(k.KKM(e, 0x4010, 0x52)) {
      if(1){
        r=m=1;   // Line 69
        k.KO(0,t,"R");
      }
    }
    else if(k.KKM(e, 0x4010, 0x53)) {
      if(1){
        r=m=1;   // Line 61
        k.KO(0,t,"S");
      }
    }
    else if(k.KKM(e, 0x4010, 0x54)) {
      if(1){
        r=m=1;   // Line 68
        k.KO(0,t,"T");
      }
    }
    else if(k.KKM(e, 0x4010, 0x55)) {
      if(1){
        r=m=1;   // Line 66
        k.KO(0,t,"U");
      }
    }
    else if(k.KKM(e, 0x4010, 0x56)) {
      if(1){
        r=m=1;   // Line 53
        k.KO(0,t,"ḆV");
      }
    }
    else if(k.KKM(e, 0x4010, 0x57)) {
      if(1){
        r=m=1;   // Line 71
        k.KO(0,t,"W");
      }
    }
    else if(k.KKM(e, 0x4010, 0x58)) {
      if(1){
        r=m=1;   // Line 101
        k.KO(0,t,"kpX");
      }
    }
    else if(k.KKM(e, 0x4010, 0x59)) {
      if(1){
        r=m=1;   // Line 67
        k.KO(0,t,"Y");
      }
    }
    else if(k.KKM(e, 0x4010, 0x5A)) {
      if(1){
        r=m=1;   // Line 96
        k.KO(0,t,"ỊZ");
      }
    }
    else if(k.KKM(e, 0x4000, 0xDB)) {
      if(1){
        r=m=1;   // Line 33
        k.KO(0,t,"[");
      }
    }
    else if(k.KKM(e, 0x4000, 0xDC)) {
      if(1){
        r=m=1;   // Line 31
        k.KO(0,t,"◌̱◌̱◌̄◌̄");
      }
    }
    else if(k.KKM(e, 0x4000, 0xDD)) {
      if(1){
        r=m=1;   // Line 32
        k.KO(0,t,"]");
      }
    }
    else if(k.KKM(e, 0x4010, 0x36)) {
      if(1){
        r=m=1;   // Line 78
        k.KO(0,t,"₦");
      }
    }
    else if(k.KKM(e, 0x4010, 0xBD)) {
      if(1){
        r=m=1;   // Line 73
        k.KO(0,t,"-");
      }
    }
    else if(k.KKM(e, 0x4000, 0xC0)) {
      if(1){
        r=m=1;   // Line 11
        k.KO(0,t,"`");
      }
    }
    else if(k.KKM(e, 0x4000, 0x41)) {
      if(1){
        r=m=1;   // Line 30
        k.KO(0,t,"a");
      }
    }
    else if(k.KKM(e, 0x4000, 0x42)) {
      if(1){
        r=m=1;   // Line 20
        k.KO(0,t,"b");
      }
    }
    else if(k.KKM(e, 0x4000, 0x43)) {
      if(1){
        r=m=1;   // Line 99
        k.KO(0,t,"Ọc");
      }
    }
    else if(k.KKM(e, 0x4000, 0x44)) {
      if(1){
        r=m=1;   // Line 28
        k.KO(0,t,"d");
      }
    }
    else if(k.KKM(e, 0x4000, 0x45)) {
      if(1){
        r=m=1;   // Line 41
        k.KO(0,t,"e");
      }
    }
    else if(k.KKM(e, 0x4000, 0x46)) {
      if(1){
        r=m=1;   // Line 27
        k.KO(0,t,"f");
      }
    }
    else if(k.KKM(e, 0x4000, 0x47)) {
      if(1){
        r=m=1;   // Line 26
        k.KO(0,t,"g");
      }
    }
    else if(k.KKM(e, 0x4000, 0x48)) {
      if(1){
        r=m=1;   // Line 25
        k.KO(0,t,"ḏ");
      }
    }
    else if(k.KKM(e, 0x4000, 0x49)) {
      if(1){
        r=m=1;   // Line 36
        k.KO(0,t,"i");
      }
    }
    else if(k.KKM(e, 0x4000, 0x4A)) {
      if(1){
        r=m=1;   // Line 24
        k.KO(0,t,"j");
      }
    }
    else if(k.KKM(e, 0x4000, 0x4B)) {
      if(1){
        r=m=1;   // Line 23
        k.KO(0,t,"k");
      }
    }
    else if(k.KKM(e, 0x4000, 0x4C)) {
      if(1){
        r=m=1;   // Line 22
        k.KO(0,t,"l");
      }
    }
    else if(k.KKM(e, 0x4000, 0x4D)) {
      if(1){
        r=m=1;   // Line 18
        k.KO(0,t,"m");
      }
    }
    else if(k.KKM(e, 0x4000, 0x4E)) {
      if(1){
        r=m=1;   // Line 19
        k.KO(0,t,"n");
      }
    }
    else if(k.KKM(e, 0x4000, 0x4F)) {
      if(1){
        r=m=1;   // Line 35
        k.KO(0,t,"o");
      }
    }
    else if(k.KKM(e, 0x4000, 0x50)) {
      if(1){
        r=m=1;   // Line 34
        k.KO(0,t,"p");
      }
    }
    else if(k.KKM(e, 0x4000, 0x51)) {
      if(1){
        r=m=1;   // Line 103
        k.KO(0,t,"gbq");
      }
    }
    else if(k.KKM(e, 0x4000, 0x52)) {
      if(1){
        r=m=1;   // Line 40
        k.KO(0,t,"r");
      }
    }
    else if(k.KKM(e, 0x4000, 0x53)) {
      if(1){
        r=m=1;   // Line 29
        k.KO(0,t,"s");
      }
    }
    else if(k.KKM(e, 0x4000, 0x54)) {
      if(1){
        r=m=1;   // Line 39
        k.KO(0,t,"t");
      }
    }
    else if(k.KKM(e, 0x4000, 0x55)) {
      if(1){
        r=m=1;   // Line 37
        k.KO(0,t,"u");
      }
    }
    else if(k.KKM(e, 0x4000, 0x56)) {
      if(1){
        r=m=1;   // Line 21
        k.KO(0,t,"ḇv");
      }
    }
    else if(k.KKM(e, 0x4000, 0x57)) {
      if(1){
        r=m=1;   // Line 42
        k.KO(0,t,"w");
      }
    }
    else if(k.KKM(e, 0x4000, 0x58)) {
      if(1){
        r=m=1;   // Line 100
        k.KO(0,t,"KPx");
      }
    }
    else if(k.KKM(e, 0x4000, 0x59)) {
      if(1){
        r=m=1;   // Line 38
        k.KO(0,t,"y");
      }
    }
    else if(k.KKM(e, 0x4000, 0x5A)) {
      if(1){
        r=m=1;   // Line 97
        k.KO(0,t,"ịz");
      }
    }
    else if(k.KKM(e, 0x4010, 0xDB)) {
      if(1){
        r=m=1;   // Line 44
        k.KO(0,t,"{");
      }
    }
    else if(k.KKM(e, 0x4010, 0xDC)) {
      if(1){
        r=m=1;   // Line 45
        k.KO(0,t,"◌̣◌̱◌̱");
      }
    }
    else if(k.KKM(e, 0x4010, 0xDD)) {
      if(1){
        r=m=1;   // Line 43
        k.KO(0,t,"}");
      }
    }
    else if(k.KKM(e, 0x4010, 0xC0)) {
      if(1){
        r=m=1;   // Line 10
        k.KO(0,t,"~");
      }
    }
    return r;
  };
}
